Package org.a2aproject.sdk.grpc
Interface ListTasksRequestOrBuilder
- All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder,com.google.protobuf.MessageOrBuilder
- All Known Implementing Classes:
ListTasksRequest,ListTasksRequest.Builder
@Generated
public interface ListTasksRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
-
Method Summary
Modifier and TypeMethodDescriptionFilter tasks by context ID to get tasks from a specific conversation or session.com.google.protobuf.ByteStringFilter tasks by context ID to get tasks from a specific conversation or session.intThe maximum number of messages to include in each task's history.booleanWhether to include artifacts in the returned tasks.intThe maximum number of tasks to return.A page token, received from a previous `ListTasks` call.com.google.protobuf.ByteStringA page token, received from a previous `ListTasks` call.Filter tasks by their current status state.com.google.protobuf.TimestampFilter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").com.google.protobuf.TimestampOrBuilderFilter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").intFilter tasks by their current status state.Tenant ID, provided as a path parameter.com.google.protobuf.ByteStringTenant ID, provided as a path parameter.booleanThe maximum number of messages to include in each task's history.booleanWhether to include artifacts in the returned tasks.booleanThe maximum number of tasks to return.booleanFilter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z").Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
isInitializedMethods inherited from interface com.google.protobuf.MessageOrBuilder
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
-
Method Details
-
getTenant
String getTenant()Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The tenant.
-
getTenantBytes
com.google.protobuf.ByteString getTenantBytes()Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The bytes for tenant.
-
getContextId
String getContextId()Filter tasks by context ID to get tasks from a specific conversation or session.
string context_id = 2;- Returns:
- The contextId.
-
getContextIdBytes
com.google.protobuf.ByteString getContextIdBytes()Filter tasks by context ID to get tasks from a specific conversation or session.
string context_id = 2;- Returns:
- The bytes for contextId.
-
getStatusValue
int getStatusValue()Filter tasks by their current status state.
.lf.a2a.v1.TaskState status = 3;- Returns:
- The enum numeric value on the wire for status.
-
getStatus
TaskState getStatus()Filter tasks by their current status state.
.lf.a2a.v1.TaskState status = 3;- Returns:
- The status.
-
hasPageSize
boolean hasPageSize()The maximum number of tasks to return. The service may return fewer than this value. If unspecified, at most 50 tasks will be returned. The minimum value is 1. The maximum value is 100.
optional int32 page_size = 4;- Returns:
- Whether the pageSize field is set.
-
getPageSize
int getPageSize()The maximum number of tasks to return. The service may return fewer than this value. If unspecified, at most 50 tasks will be returned. The minimum value is 1. The maximum value is 100.
optional int32 page_size = 4;- Returns:
- The pageSize.
-
getPageToken
String getPageToken()A page token, received from a previous `ListTasks` call. `ListTasksResponse.next_page_token`. Provide this to retrieve the subsequent page.
string page_token = 5;- Returns:
- The pageToken.
-
getPageTokenBytes
com.google.protobuf.ByteString getPageTokenBytes()A page token, received from a previous `ListTasks` call. `ListTasksResponse.next_page_token`. Provide this to retrieve the subsequent page.
string page_token = 5;- Returns:
- The bytes for pageToken.
-
hasHistoryLength
boolean hasHistoryLength()The maximum number of messages to include in each task's history.
optional int32 history_length = 6;- Returns:
- Whether the historyLength field is set.
-
getHistoryLength
int getHistoryLength()The maximum number of messages to include in each task's history.
optional int32 history_length = 6;- Returns:
- The historyLength.
-
hasStatusTimestampAfter
boolean hasStatusTimestampAfter()Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z"). Only tasks with a status timestamp time greater than or equal to this value will be returned.
.google.protobuf.Timestamp status_timestamp_after = 7;- Returns:
- Whether the statusTimestampAfter field is set.
-
getStatusTimestampAfter
com.google.protobuf.Timestamp getStatusTimestampAfter()Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z"). Only tasks with a status timestamp time greater than or equal to this value will be returned.
.google.protobuf.Timestamp status_timestamp_after = 7;- Returns:
- The statusTimestampAfter.
-
getStatusTimestampAfterOrBuilder
com.google.protobuf.TimestampOrBuilder getStatusTimestampAfterOrBuilder()Filter tasks which have a status updated after the provided timestamp in ISO 8601 format (e.g., "2023-10-27T10:00:00Z"). Only tasks with a status timestamp time greater than or equal to this value will be returned.
.google.protobuf.Timestamp status_timestamp_after = 7; -
hasIncludeArtifacts
boolean hasIncludeArtifacts()Whether to include artifacts in the returned tasks. Defaults to false to reduce payload size.
optional bool include_artifacts = 8;- Returns:
- Whether the includeArtifacts field is set.
-
getIncludeArtifacts
boolean getIncludeArtifacts()Whether to include artifacts in the returned tasks. Defaults to false to reduce payload size.
optional bool include_artifacts = 8;- Returns:
- The includeArtifacts.
-